Results 1 to 5 of 5

Thread: Provides: and Replaces: for zimbra-mta Debian Packages

  1. #1
    lee
    lee is offline Active Member
    Join Date
    Feb 2006
    Location
    brooklyn
    Posts
    25
    Rep Power
    9

    Default Provides: and Replaces: for zimbra-mta Debian Packages

    The Debian packages for the 3.0 release work great. The weak spot is the zimbra-mta package. I have had to do a lot of manual tweaking to get Zimbra's MTA to play nice with other programs on the server that need to run /usr/sbin/sendmail directly.

    I think an important enhancement for the Debian package for zimbra-mta would be to add a Relpaces: exim4-base and Provides: mail-transport-agent in the debian/control file. Then have a postinst script add a symlink from /usr/sbin/sendmail to /opt/zimbra/postfix/sbin/sendmail and all the programs that call sendmail directly would never know the difference. The added bennefit would be it wouldn't break APT and could be added to a local repository for installation/upgrade.

    I downloaded the source tarball from sf.net and couldn't find any Debian build information. If you could provide a source .dsc some packaging issues could be expedited.

    -l

  2. #2
    cutigersfan is offline Active Member
    Join Date
    Apr 2006
    Posts
    49
    Rep Power
    8

    Default

    Has this been addressed? I'm starting to bump into the apt problem and would like to know how to fix it.

  3. #3
    KevinH's Avatar
    KevinH is offline Expert Member
    Join Date
    Aug 2005
    Location
    San Mateo, CA
    Posts
    4,789
    Rep Power
    18

    Default

    If it never made it to bugzilla then it's not likely to have been fixed. Feel free to file/add this to bugzilla. In the mean time I think you can manually make sure you've removed any existing mail pkgs prior to installing Zimbra.
    Looking for new beta users -> Co-Founder of Acompli. Previously worked at Zimbra (and Yahoo! & VMware) since 2005.

  4. #4
    krishna is offline Starter Member
    Join Date
    Jun 2006
    Posts
    1
    Rep Power
    8

    Default Anybody got notes on installing with Debian Sarge?

    sasl seems to be the issue - can't get the mta running. Also having some leftover config stuff (relay host name) from a previous install of 3.1.0 - should I just wipe it out completely and start over?

  5. #5
    KevinH's Avatar
    KevinH is offline Expert Member
    Join Date
    Aug 2005
    Location
    San Mateo, CA
    Posts
    4,789
    Rep Power
    18

    Default

    Quote Originally Posted by krishna
    sasl seems to be the issue - can't get the mta running. Also having some leftover config stuff (relay host name) from a previous install of 3.1.0 - should I just wipe it out completely and start over?
    If you have a bad previous install and no real data a clean start is always best.
    Looking for new beta users -> Co-Founder of Acompli. Previously worked at Zimbra (and Yahoo! & VMware) since 2005.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •